( 3iRadio.fs -- AE -- 2020-10-24---Sat---12:38 )

: rfdelay 10 ms ;
\ : rftx1 rfdelay tx1 rfdelay ;

: test-rf 16 5 do i tx1 loop ;

: x_s  ( -- ) CMD_X_S tx1  CMD_XDROP tx1 ; \ redefining x_s to use xdrop not xfetch

: test_rf_pin4 ( 1/0 -- )
    xstore  \ high
    4 xstore  \ pin4
    1 xstore  \ pinwrite instr
    4 xcall  ;    \ xcall 

: test-lights 6 2 do i high loop 20 ms 6 2 do i low loop ;  \ 20 ms works ( 10 ms fails ), on low power, 40cm away
: spin 50 0 do test-lights loop ;

: test-radio 9 tx1 9 tx1 9 tx1 9 tx1 ;


: help-radio 
   cr
   cr ." HELP-RADIO"
   cr ." ----------"
   cr
   cr ."    9 tx1"
   cr ."    test-rf"
   cr ."    1 4 rfpinwrite"
   cr 
   cr ." Base instructions:  rfs  rfstore rfdrop rfcall"
   cr
;

\ ============================
help-radio


\ References
\ Understand the RF24 module
\   [0] RF24 Arduino library header file code:  
\       c:\totalprogs\arduino\libraries\RF24_Wireless_RF-Nano\RF24.h 
\
\ 	[1] Mechatronics quickstart howto: 
\ 		https://howtomechatronics.com/tutorials/arduino/arduino-wireless-communication-nrf24l01-tutorial/
\ 		Code example by: Dejan Nedelkovski, www.HowToMechatronics.com
\ 	
\ 	[2] Theory explained in depth: 
\ 		https://lastminuteengineers.com/nrf24l01-arduino-wireless-communication/
\ 
\     [3] Interrupts:
\ 		https://myplayground123.wordpress.com/2017/05/19/nrf24l01-with-interrupt-on-receiver/
